| Home | Libraries | People | FAQ | More

## Macro BOOST_PROTO_A_ref_a

BOOST_PROTO_A_ref_a — Generates sequences like `A0 & a0, A1 & a1, … AN-1 & aN-1` .

## Synopsis

    // In header: <boost/proto/repeat.hpp>

    BOOST_PROTO_A_ref_a(N)

## Description

Intended for use with the `BOOST_PROTO_REPEAT()` and `BOOST_PROTO_LOCAL_ITERATE()` macros.

`BOOST_PROTO_A_ref_a(`N`)` generates sequences like:

    A0 & a0, A1 & a1, … AN-1 & aN-1